# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ApplicationPublishObject(Model):
    """Object model for publishing a specific application version.

    :param version_id: The version ID to publish.
    :type version_id: str
    :param is_staging: Indicates if the staging slot should be used, instead
     of the Production one. Default value: False .
    :type is_staging: bool
    """

    _attribute_map = {
        'version_id': {'key': 'versionId', 'type': 'str'},
        'is_staging': {'key': 'isStaging', 'type': 'bool'},
    }

    def __init__(self, *, version_id: str=None, is_staging: bool=False, **kwargs) -> None:
        super(ApplicationPublishObject, self).__init__(**kwargs)
        self.version_id = version_id
        self.is_staging = is_staging
