# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ExampleLabelObject(Model):
    """A labeled example utterance.

    :param text: The example utterance.
    :type text: str
    :param entity_labels: The identified entities within the example
     utterance.
    :type entity_labels:
     list[~azure.cognitiveservices.language.luis.authoring.models.EntityLabelObject]
    :param intent_name: The identified intent representing the example
     utterance.
    :type intent_name: str
    """

    _attribute_map = {
        'text': {'key': 'text', 'type': 'str'},
        'entity_labels': {'key': 'entityLabels', 'type': '[EntityLabelObject]'},
        'intent_name': {'key': 'intentName', 'type': 'str'},
    }

    def __init__(self, *, text: str=None, entity_labels=None, intent_name: str=None, **kwargs) -> None:
        super(ExampleLabelObject, self).__init__(**kwargs)
        self.text = text
        self.entity_labels = entity_labels
        self.intent_name = intent_name
