# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

try:
    from .query_context_py3 import QueryContext
    from .web_meta_tag_py3 import WebMetaTag
    from .image_object_py3 import ImageObject
    from .web_page_py3 import WebPage
    from .web_web_answer_py3 import WebWebAnswer
    from .query_py3 import Query
    from .images_py3 import Images
    from .news_article_py3 import NewsArticle
    from .news_py3 import News
    from .related_searches_related_search_answer_py3 import RelatedSearchesRelatedSearchAnswer
    from .spell_suggestions_py3 import SpellSuggestions
    from .time_zone_time_zone_information_py3 import TimeZoneTimeZoneInformation
    from .time_zone_py3 import TimeZone
    from .video_object_py3 import VideoObject
    from .videos_py3 import Videos
    from .computation_py3 import Computation
    from .identifiable_py3 import Identifiable
    from .ranking_ranking_item_py3 import RankingRankingItem
    from .ranking_ranking_group_py3 import RankingRankingGroup
    from .ranking_ranking_response_py3 import RankingRankingResponse
    from .search_response_py3 import SearchResponse
    from .response_py3 import Response
    from .thing_py3 import Thing
    from .places_py3 import Places
    from .search_results_answer_py3 import SearchResultsAnswer
    from .answer_py3 import Answer
    from .error_py3 import Error
    from .error_response_py3 import ErrorResponse, ErrorResponseException
    from .web_web_grouping_py3 import WebWebGrouping
    from .response_base_py3 import ResponseBase
    from .creative_work_py3 import CreativeWork
    from .intangible_py3 import Intangible
    from .media_object_py3 import MediaObject
    from .article_py3 import Article
    from .structured_value_py3 import StructuredValue
except (SyntaxError, ImportError):
    from .query_context import QueryContext
    from .web_meta_tag import WebMetaTag
    from .image_object import ImageObject
    from .web_page import WebPage
    from .web_web_answer import WebWebAnswer
    from .query import Query
    from .images import Images
    from .news_article import NewsArticle
    from .news import News
    from .related_searches_related_search_answer import RelatedSearchesRelatedSearchAnswer
    from .spell_suggestions import SpellSuggestions
    from .time_zone_time_zone_information import TimeZoneTimeZoneInformation
    from .time_zone import TimeZone
    from .video_object import VideoObject
    from .videos import Videos
    from .computation import Computation
    from .identifiable import Identifiable
    from .ranking_ranking_item import RankingRankingItem
    from .ranking_ranking_group import RankingRankingGroup
    from .ranking_ranking_response import RankingRankingResponse
    from .search_response import SearchResponse
    from .response import Response
    from .thing import Thing
    from .places import Places
    from .search_results_answer import SearchResultsAnswer
    from .answer import Answer
    from .error import Error
    from .error_response import ErrorResponse, ErrorResponseException
    from .web_web_grouping import WebWebGrouping
    from .response_base import ResponseBase
    from .creative_work import CreativeWork
    from .intangible import Intangible
    from .media_object import MediaObject
    from .article import Article
    from .structured_value import StructuredValue
from .web_search_api_enums import (
    AnswerType,
    ErrorCode,
    ErrorSubCode,
    Freshness,
    SafeSearch,
    TextFormat,
)

__all__ = [
    'QueryContext',
    'WebMetaTag',
    'ImageObject',
    'WebPage',
    'WebWebAnswer',
    'Query',
    'Images',
    'NewsArticle',
    'News',
    'RelatedSearchesRelatedSearchAnswer',
    'SpellSuggestions',
    'TimeZoneTimeZoneInformation',
    'TimeZone',
    'VideoObject',
    'Videos',
    'Computation',
    'Identifiable',
    'RankingRankingItem',
    'RankingRankingGroup',
    'RankingRankingResponse',
    'SearchResponse',
    'Response',
    'Thing',
    'Places',
    'SearchResultsAnswer',
    'Answer',
    'Error',
    'ErrorResponse', 'ErrorResponseException',
    'WebWebGrouping',
    'ResponseBase',
    'CreativeWork',
    'Intangible',
    'MediaObject',
    'Article',
    'StructuredValue',
    'AnswerType',
    'ErrorCode',
    'ErrorSubCode',
    'Freshness',
    'SafeSearch',
    'TextFormat',
]
