# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

try:
    from .face_rectangle_py3 import FaceRectangle
    from .celebrities_model_py3 import CelebritiesModel
    from .landmarks_model_py3 import LandmarksModel
    from .category_detail_py3 import CategoryDetail
    from .category_py3 import Category
    from .adult_info_py3 import AdultInfo
    from .color_info_py3 import ColorInfo
    from .image_type_py3 import ImageType
    from .image_tag_py3 import ImageTag
    from .image_caption_py3 import ImageCaption
    from .image_description_details_py3 import ImageDescriptionDetails
    from .face_description_py3 import FaceDescription
    from .bounding_rect_py3 import BoundingRect
    from .object_hierarchy_py3 import ObjectHierarchy
    from .detected_object_py3 import DetectedObject
    from .detected_brand_py3 import DetectedBrand
    from .image_metadata_py3 import ImageMetadata
    from .image_analysis_py3 import ImageAnalysis
    from .image_description_py3 import ImageDescription
    from .detect_result_py3 import DetectResult
    from .model_description_py3 import ModelDescription
    from .list_models_result_py3 import ListModelsResult
    from .domain_model_results_py3 import DomainModelResults
    from .ocr_word_py3 import OcrWord
    from .ocr_line_py3 import OcrLine
    from .ocr_region_py3 import OcrRegion
    from .ocr_result_py3 import OcrResult
    from .tag_result_py3 import TagResult
    from .area_of_interest_result_py3 import AreaOfInterestResult
    from .image_url_py3 import ImageUrl
    from .computer_vision_error_py3 import ComputerVisionError, ComputerVisionErrorException
    from .landmark_results_py3 import LandmarkResults
    from .celebrity_results_py3 import CelebrityResults
    from .word_py3 import Word
    from .line_py3 import Line
    from .text_recognition_result_py3 import TextRecognitionResult
    from .text_operation_result_py3 import TextOperationResult
    from .read_operation_result_py3 import ReadOperationResult
except (SyntaxError, ImportError):
    from .face_rectangle import FaceRectangle
    from .celebrities_model import CelebritiesModel
    from .landmarks_model import LandmarksModel
    from .category_detail import CategoryDetail
    from .category import Category
    from .adult_info import AdultInfo
    from .color_info import ColorInfo
    from .image_type import ImageType
    from .image_tag import ImageTag
    from .image_caption import ImageCaption
    from .image_description_details import ImageDescriptionDetails
    from .face_description import FaceDescription
    from .bounding_rect import BoundingRect
    from .object_hierarchy import ObjectHierarchy
    from .detected_object import DetectedObject
    from .detected_brand import DetectedBrand
    from .image_metadata import ImageMetadata
    from .image_analysis import ImageAnalysis
    from .image_description import ImageDescription
    from .detect_result import DetectResult
    from .model_description import ModelDescription
    from .list_models_result import ListModelsResult
    from .domain_model_results import DomainModelResults
    from .ocr_word import OcrWord
    from .ocr_line import OcrLine
    from .ocr_region import OcrRegion
    from .ocr_result import OcrResult
    from .tag_result import TagResult
    from .area_of_interest_result import AreaOfInterestResult
    from .image_url import ImageUrl
    from .computer_vision_error import ComputerVisionError, ComputerVisionErrorException
    from .landmark_results import LandmarkResults
    from .celebrity_results import CelebrityResults
    from .word import Word
    from .line import Line
    from .text_recognition_result import TextRecognitionResult
    from .text_operation_result import TextOperationResult
    from .read_operation_result import ReadOperationResult
from .computer_vision_client_enums import (
    Gender,
    TextOperationStatusCodes,
    TextRecognitionResultDimensionUnit,
    TextRecognitionResultConfidenceClass,
    OcrLanguages,
    VisualFeatureTypes,
    TextRecognitionMode,
    Details,
)

__all__ = [
    'FaceRectangle',
    'CelebritiesModel',
    'LandmarksModel',
    'CategoryDetail',
    'Category',
    'AdultInfo',
    'ColorInfo',
    'ImageType',
    'ImageTag',
    'ImageCaption',
    'ImageDescriptionDetails',
    'FaceDescription',
    'BoundingRect',
    'ObjectHierarchy',
    'DetectedObject',
    'DetectedBrand',
    'ImageMetadata',
    'ImageAnalysis',
    'ImageDescription',
    'DetectResult',
    'ModelDescription',
    'ListModelsResult',
    'DomainModelResults',
    'OcrWord',
    'OcrLine',
    'OcrRegion',
    'OcrResult',
    'TagResult',
    'AreaOfInterestResult',
    'ImageUrl',
    'ComputerVisionError', 'ComputerVisionErrorException',
    'LandmarkResults',
    'CelebrityResults',
    'Word',
    'Line',
    'TextRecognitionResult',
    'TextOperationResult',
    'ReadOperationResult',
    'Gender',
    'TextOperationStatusCodes',
    'TextRecognitionResultDimensionUnit',
    'TextRecognitionResultConfidenceClass',
    'OcrLanguages',
    'VisualFeatureTypes',
    'TextRecognitionMode',
    'Details',
]
