# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class BoundingRect(Model):
    """A bounding box for an area inside an image.

    :param x: X-coordinate of the top left point of the area, in pixels.
    :type x: int
    :param y: Y-coordinate of the top left point of the area, in pixels.
    :type y: int
    :param w: Width measured from the top-left point of the area, in pixels.
    :type w: int
    :param h: Height measured from the top-left point of the area, in pixels.
    :type h: int
    """

    _attribute_map = {
        'x': {'key': 'x', 'type': 'int'},
        'y': {'key': 'y', 'type': 'int'},
        'w': {'key': 'w', 'type': 'int'},
        'h': {'key': 'h', 'type': 'int'},
    }

    def __init__(self, *, x: int=None, y: int=None, w: int=None, h: int=None, **kwargs) -> None:
        super(BoundingRect, self).__init__(**kwargs)
        self.x = x
        self.y = y
        self.w = w
        self.h = h
