# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ImageCreateResult(Model):
    """ImageCreateResult.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :ivar source_url: Source URL of the image.
    :vartype source_url: str
    :ivar status: Status of the image creation. Possible values include: 'OK',
     'OKDuplicate', 'ErrorSource', 'ErrorImageFormat', 'ErrorImageSize',
     'ErrorStorage', 'ErrorLimitExceed', 'ErrorTagLimitExceed',
     'ErrorRegionLimitExceed', 'ErrorUnknown',
     'ErrorNegativeAndRegularTagOnSameImage'
    :vartype status: str or
     ~azure.cognitiveservices.vision.customvision.training.models.ImageCreateStatus
    :ivar image: The image.
    :vartype image:
     ~azure.cognitiveservices.vision.customvision.training.models.Image
    """

    _validation = {
        'source_url': {'readonly': True},
        'status': {'readonly': True},
        'image': {'readonly': True},
    }

    _attribute_map = {
        'source_url': {'key': 'sourceUrl', 'type': 'str'},
        'status': {'key': 'status', 'type': 'str'},
        'image': {'key': 'image', 'type': 'Image'},
    }

    def __init__(self, **kwargs) -> None:
        super(ImageCreateResult, self).__init__(**kwargs)
        self.source_url = None
        self.status = None
        self.image = None
