# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

try:
    from .error_py3 import Error
    from .api_error_py3 import APIError, APIErrorException
    from .face_rectangle_py3 import FaceRectangle
    from .coordinate_py3 import Coordinate
    from .face_landmarks_py3 import FaceLandmarks
    from .facial_hair_py3 import FacialHair
    from .head_pose_py3 import HeadPose
    from .emotion_py3 import Emotion
    from .hair_color_py3 import HairColor
    from .hair_py3 import Hair
    from .makeup_py3 import Makeup
    from .occlusion_py3 import Occlusion
    from .accessory_py3 import Accessory
    from .blur_py3 import Blur
    from .exposure_py3 import Exposure
    from .noise_py3 import Noise
    from .face_attributes_py3 import FaceAttributes
    from .detected_face_py3 import DetectedFace
    from .find_similar_request_py3 import FindSimilarRequest
    from .similar_face_py3 import SimilarFace
    from .group_request_py3 import GroupRequest
    from .group_result_py3 import GroupResult
    from .identify_request_py3 import IdentifyRequest
    from .identify_candidate_py3 import IdentifyCandidate
    from .identify_result_py3 import IdentifyResult
    from .verify_face_to_person_request_py3 import VerifyFaceToPersonRequest
    from .verify_face_to_face_request_py3 import VerifyFaceToFaceRequest
    from .verify_result_py3 import VerifyResult
    from .persisted_face_py3 import PersistedFace
    from .face_list_py3 import FaceList
    from .person_group_py3 import PersonGroup
    from .person_py3 import Person
    from .large_face_list_py3 import LargeFaceList
    from .large_person_group_py3 import LargePersonGroup
    from .update_face_request_py3 import UpdateFaceRequest
    from .training_status_py3 import TrainingStatus
    from .name_and_user_data_contract_py3 import NameAndUserDataContract
    from .meta_data_contract_py3 import MetaDataContract
    from .apply_snapshot_request_py3 import ApplySnapshotRequest
    from .snapshot_py3 import Snapshot
    from .take_snapshot_request_py3 import TakeSnapshotRequest
    from .update_snapshot_request_py3 import UpdateSnapshotRequest
    from .operation_status_py3 import OperationStatus
    from .image_url_py3 import ImageUrl
except (SyntaxError, ImportError):
    from .error import Error
    from .api_error import APIError, APIErrorException
    from .face_rectangle import FaceRectangle
    from .coordinate import Coordinate
    from .face_landmarks import FaceLandmarks
    from .facial_hair import FacialHair
    from .head_pose import HeadPose
    from .emotion import Emotion
    from .hair_color import HairColor
    from .hair import Hair
    from .makeup import Makeup
    from .occlusion import Occlusion
    from .accessory import Accessory
    from .blur import Blur
    from .exposure import Exposure
    from .noise import Noise
    from .face_attributes import FaceAttributes
    from .detected_face import DetectedFace
    from .find_similar_request import FindSimilarRequest
    from .similar_face import SimilarFace
    from .group_request import GroupRequest
    from .group_result import GroupResult
    from .identify_request import IdentifyRequest
    from .identify_candidate import IdentifyCandidate
    from .identify_result import IdentifyResult
    from .verify_face_to_person_request import VerifyFaceToPersonRequest
    from .verify_face_to_face_request import VerifyFaceToFaceRequest
    from .verify_result import VerifyResult
    from .persisted_face import PersistedFace
    from .face_list import FaceList
    from .person_group import PersonGroup
    from .person import Person
    from .large_face_list import LargeFaceList
    from .large_person_group import LargePersonGroup
    from .update_face_request import UpdateFaceRequest
    from .training_status import TrainingStatus
    from .name_and_user_data_contract import NameAndUserDataContract
    from .meta_data_contract import MetaDataContract
    from .apply_snapshot_request import ApplySnapshotRequest
    from .snapshot import Snapshot
    from .take_snapshot_request import TakeSnapshotRequest
    from .update_snapshot_request import UpdateSnapshotRequest
    from .operation_status import OperationStatus
    from .image_url import ImageUrl
from .face_client_enums import (
    RecognitionModel,
    Gender,
    GlassesType,
    HairColorType,
    AccessoryType,
    BlurLevel,
    ExposureLevel,
    NoiseLevel,
    FindSimilarMatchMode,
    TrainingStatusType,
    SnapshotApplyMode,
    SnapshotObjectType,
    OperationStatusType,
    FaceAttributeType,
)

__all__ = [
    'Error',
    'APIError', 'APIErrorException',
    'FaceRectangle',
    'Coordinate',
    'FaceLandmarks',
    'FacialHair',
    'HeadPose',
    'Emotion',
    'HairColor',
    'Hair',
    'Makeup',
    'Occlusion',
    'Accessory',
    'Blur',
    'Exposure',
    'Noise',
    'FaceAttributes',
    'DetectedFace',
    'FindSimilarRequest',
    'SimilarFace',
    'GroupRequest',
    'GroupResult',
    'IdentifyRequest',
    'IdentifyCandidate',
    'IdentifyResult',
    'VerifyFaceToPersonRequest',
    'VerifyFaceToFaceRequest',
    'VerifyResult',
    'PersistedFace',
    'FaceList',
    'PersonGroup',
    'Person',
    'LargeFaceList',
    'LargePersonGroup',
    'UpdateFaceRequest',
    'TrainingStatus',
    'NameAndUserDataContract',
    'MetaDataContract',
    'ApplySnapshotRequest',
    'Snapshot',
    'TakeSnapshotRequest',
    'UpdateSnapshotRequest',
    'OperationStatus',
    'ImageUrl',
    'RecognitionModel',
    'Gender',
    'GlassesType',
    'HairColorType',
    'AccessoryType',
    'BlurLevel',
    'ExposureLevel',
    'NoiseLevel',
    'FindSimilarMatchMode',
    'TrainingStatusType',
    'SnapshotApplyMode',
    'SnapshotObjectType',
    'OperationStatusType',
    'FaceAttributeType',
]
