# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class Blur(Model):
    """Properties describing any presence of blur within the image.

    :param blur_level: An enum value indicating level of blurriness. Possible
     values include: 'Low', 'Medium', 'High'
    :type blur_level: str or
     ~azure.cognitiveservices.vision.face.models.BlurLevel
    :param value: A number indicating level of blurriness ranging from 0 to 1.
    :type value: float
    """

    _attribute_map = {
        'blur_level': {'key': 'blurLevel', 'type': 'BlurLevel'},
        'value': {'key': 'value', 'type': 'float'},
    }

    def __init__(self, **kwargs):
        super(Blur, self).__init__(**kwargs)
        self.blur_level = kwargs.get('blur_level', None)
        self.value = kwargs.get('value', None)
