# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

try:
    from .operation_display_py3 import OperationDisplay
    from .operation_py3 import Operation
    from .error_response_py3 import ErrorResponse, ErrorResponseException
    from .sku_py3 import Sku
    from .check_availability_parameters_py3 import CheckAvailabilityParameters
    from .check_availability_result_py3 import CheckAvailabilityResult
    from .namespace_create_or_update_parameters_py3 import NamespaceCreateOrUpdateParameters
    from .namespace_patch_parameters_py3 import NamespacePatchParameters
    from .namespace_resource_py3 import NamespaceResource
    from .shared_access_authorization_rule_properties_py3 import SharedAccessAuthorizationRuleProperties
    from .shared_access_authorization_rule_create_or_update_parameters_py3 import SharedAccessAuthorizationRuleCreateOrUpdateParameters
    from .shared_access_authorization_rule_resource_py3 import SharedAccessAuthorizationRuleResource
    from .shared_access_authorization_rule_list_result_py3 import SharedAccessAuthorizationRuleListResult
    from .resource_list_keys_py3 import ResourceListKeys
    from .policykey_resource_py3 import PolicykeyResource
    from .apns_credential_py3 import ApnsCredential
    from .wns_credential_py3 import WnsCredential
    from .gcm_credential_py3 import GcmCredential
    from .mpns_credential_py3 import MpnsCredential
    from .adm_credential_py3 import AdmCredential
    from .baidu_credential_py3 import BaiduCredential
    from .notification_hub_create_or_update_parameters_py3 import NotificationHubCreateOrUpdateParameters
    from .notification_hub_resource_py3 import NotificationHubResource
    from .pns_credentials_resource_py3 import PnsCredentialsResource
    from .resource_py3 import Resource
    from .sub_resource_py3 import SubResource
except (SyntaxError, ImportError):
    from .operation_display import OperationDisplay
    from .operation import Operation
    from .error_response import ErrorResponse, ErrorResponseException
    from .sku import Sku
    from .check_availability_parameters import CheckAvailabilityParameters
    from .check_availability_result import CheckAvailabilityResult
    from .namespace_create_or_update_parameters import NamespaceCreateOrUpdateParameters
    from .namespace_patch_parameters import NamespacePatchParameters
    from .namespace_resource import NamespaceResource
    from .shared_access_authorization_rule_properties import SharedAccessAuthorizationRuleProperties
    from .shared_access_authorization_rule_create_or_update_parameters import SharedAccessAuthorizationRuleCreateOrUpdateParameters
    from .shared_access_authorization_rule_resource import SharedAccessAuthorizationRuleResource
    from .shared_access_authorization_rule_list_result import SharedAccessAuthorizationRuleListResult
    from .resource_list_keys import ResourceListKeys
    from .policykey_resource import PolicykeyResource
    from .apns_credential import ApnsCredential
    from .wns_credential import WnsCredential
    from .gcm_credential import GcmCredential
    from .mpns_credential import MpnsCredential
    from .adm_credential import AdmCredential
    from .baidu_credential import BaiduCredential
    from .notification_hub_create_or_update_parameters import NotificationHubCreateOrUpdateParameters
    from .notification_hub_resource import NotificationHubResource
    from .pns_credentials_resource import PnsCredentialsResource
    from .resource import Resource
    from .sub_resource import SubResource
from .operation_paged import OperationPaged
from .namespace_resource_paged import NamespaceResourcePaged
from .shared_access_authorization_rule_resource_paged import SharedAccessAuthorizationRuleResourcePaged
from .notification_hub_resource_paged import NotificationHubResourcePaged
from .notification_hubs_management_client_enums import (
    SkuName,
    NamespaceType,
    AccessRights,
)

__all__ = [
    'OperationDisplay',
    'Operation',
    'ErrorResponse', 'ErrorResponseException',
    'Sku',
    'CheckAvailabilityParameters',
    'CheckAvailabilityResult',
    'NamespaceCreateOrUpdateParameters',
    'NamespacePatchParameters',
    'NamespaceResource',
    'SharedAccessAuthorizationRuleProperties',
    'SharedAccessAuthorizationRuleCreateOrUpdateParameters',
    'SharedAccessAuthorizationRuleResource',
    'SharedAccessAuthorizationRuleListResult',
    'ResourceListKeys',
    'PolicykeyResource',
    'ApnsCredential',
    'WnsCredential',
    'GcmCredential',
    'MpnsCredential',
    'AdmCredential',
    'BaiduCredential',
    'NotificationHubCreateOrUpdateParameters',
    'NotificationHubResource',
    'PnsCredentialsResource',
    'Resource',
    'SubResource',
    'OperationPaged',
    'NamespaceResourcePaged',
    'SharedAccessAuthorizationRuleResourcePaged',
    'NotificationHubResourcePaged',
    'SkuName',
    'NamespaceType',
    'AccessRights',
]
