# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class DisableBackupDescription(Model):
    """It describes the body parameters while disabling backup of a backup
    entity(Application/Service/Partition).

    All required parameters must be populated in order to send to Azure.

    :param clean_backup: Required. Boolean flag to delete backups. It can be
     set to true for deleting all the backups which were created for the backup
     entity that is getting disabled for backup.
    :type clean_backup: bool
    """

    _validation = {
        'clean_backup': {'required': True},
    }

    _attribute_map = {
        'clean_backup': {'key': 'CleanBackup', 'type': 'bool'},
    }

    def __init__(self, **kwargs):
        super(DisableBackupDescription, self).__init__(**kwargs)
        self.clean_backup = kwargs.get('clean_backup', None)
