# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class RegistryCredential(Model):
    """Credential information to connect to container registry.

    :param registry_user_name: The user name to connect to container registry.
    :type registry_user_name: str
    :param registry_password: The password for supplied username to connect to
     container registry.
    :type registry_password: str
    :param password_encrypted: Indicates that supplied container registry
     password is encrypted.
    :type password_encrypted: bool
    """

    _attribute_map = {
        'registry_user_name': {'key': 'RegistryUserName', 'type': 'str'},
        'registry_password': {'key': 'RegistryPassword', 'type': 'str'},
        'password_encrypted': {'key': 'PasswordEncrypted', 'type': 'bool'},
    }

    def __init__(self, **kwargs):
        super(RegistryCredential, self).__init__(**kwargs)
        self.registry_user_name = kwargs.get('registry_user_name', None)
        self.registry_password = kwargs.get('registry_password', None)
        self.password_encrypted = kwargs.get('password_encrypted', None)
